﻿(function facebookAuthenticationRelayModule()
{
    "use strict";
    var events = Object.freeze({
            signedIn: "facebook:connect:win8app",
            signedOut: "facebook:disconnect:win8app",
            statusRequested: "facebook:status:requested"
        });
    var FacebookAuthenticationRelay = WinJS.Class.derive(BingApp.Classes.BaseAuthenticationRelay,function constructor(options)
        {
            options = options || {};
            options.authenticator = options.authenticator || BingApp.locator.facebookAuthenticator;
            options.relay = options.relay || BingApp.locator.eventRelay;
            options.events = events;
            BingApp.Classes.BaseAuthenticationRelay.call(this,options)
        },{},{events: events});
    WinJS.Namespace.define("BingApp.Classes",{FacebookAuthenticationRelay: FacebookAuthenticationRelay})
})()