﻿(function liveIdAuthenticationRelayModule()
{
    "use strict";
    var events = Object.freeze({
            signedIn: "liveid:connect:win8app",
            signedOut: "liveid:disconnect:win8app",
            statusRequested: "liveid:status:requested"
        });
    var LiveIdAuthenticationRelay = WinJS.Class.derive(BingApp.Classes.BaseAuthenticationRelay,function constructor(options)
        {
            options = options || {};
            options.authenticator = options.authenticator || BingApp.locator.liveIdAuthenticator;
            options.relay = options.relay || BingApp.locator.eventRelay;
            options.events = events;
            BingApp.Classes.BaseAuthenticationRelay.call(this,options)
        },{},{events: events});
    WinJS.Namespace.define("BingApp.Classes",{LiveIdAuthenticationRelay: LiveIdAuthenticationRelay})
})()