﻿(function liveTileModule()
{
    "use strict";
    function constructor(environment, notifications)
    {
        this._environment = environment;
        this._notifications = notifications
    }
    function registerPolling()
    {
        var pollUrl = BingApp.locator.config.getConfig().app.general.host + "/livetile/?";
        pollUrl = pollUrl + this._environment.getQueryString();
        pollUrl = pollUrl + "&w8-version=" + BingApp.Classes.Shell.fullVersion;
        var tileUpdater = this._notifications.TileUpdateManager.createTileUpdaterForApplication();
        var frequency = this._notifications.PeriodicUpdateRecurrence.daily;
        var uri = new Windows.Foundation.Uri(pollUrl);
        var startTime = getPollStartTime();
        tileUpdater.startPeriodicUpdate(uri,startTime,frequency)
    }
    function getPollStartTime()
    {
        var startTime = new Date;
        startTime.setDate(startTime.getDate() + 1);
        startTime.setHours(0);
        return startTime
    }
    var instanceMembers = {
            registerPolling: registerPolling,
            _environment: null,
            _notifications: null
        };
    var staticMembers = {};
    WinJS.Namespace.define("BingApp.Classes",{LiveTile: WinJS.Class.define(constructor,instanceMembers,staticMembers)})
})()