﻿(function oemInstallTaskModule(notifications)
{
    var queryParameters = {
            cc: Windows.System.UserProfile.GlobalizationPreferences.homeGeographicRegion,
            setlang: Windows.System.UserProfile.GlobalizationPreferences.languages[0]
        };
    var parameters = [];
    Object.keys(queryParameters).forEach(function appendQueryParameters(key)
    {
        parameters.push(key + "=" + queryParameters[key])
    });
    var queryString = parameters.join("&");
    var version = Windows.ApplicationModel.Package.current.id.version;
    var versionQueryParameterValue = version.major + "." + version.minor + "." + version.build + "." + version.revision;
    queryString += "&w8-version=" + versionQueryParameterValue;
    var pollUrl = "http://www.bing.com/livetile?" + queryString;
    var tileUpdater = notifications.TileUpdateManager.createTileUpdaterForApplication();
    var frequency = notifications.PeriodicUpdateRecurrence.daily;
    var uri = new Windows.Foundation.Uri(pollUrl);
    tileUpdater.startPeriodicUpdate(uri,frequency);
    close()
})(Windows.UI.Notifications)